package com.sunxung.factoring.entity.purchcontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.sys.FileStorage;

import java.util.List;

/**
 * <p>
 * 采购合同-签署审核表
 * </p>
 *
 * @author daxian
 * @since 2022-03-14
 */
@TableName("purch_contract_sign_approval")
public class PurchContractSignApproval extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 采购合同基本信息表Id
     */
    @TableField("c_purch_contract_basic_info_id")
    private Long purchContractBasicInfoId;

    /**
     * 审批意见
     */
    @TableField("approval_comment")
    private String approvalComment;

    /**
     * 审批结论
     */
    @TableField("approval_conclusion")
    private String approvalConclusion;

    /**
     * 审核人Id
     */
    @TableField("auditor_id")
    private Long auditorId;

    /** 签署文件名 **/
    @TableField(exist = false)
    List<FileStorage> fileStorageList;

    @TableField(exist = false)
    private Integer online;

    @TableField(exist = false)
    private String taskId;

    @TableField(exist = false)
    private Long businessKey;

    public PurchContractSignApproval() {
    }

    public Integer getOnline() {
        return online;
    }

    public void setOnline(Integer online) {
        this.online = online;
    }

    public Long getPurchContractBasicInfoId() {
        return purchContractBasicInfoId;
    }

    public void setPurchContractBasicInfoId(Long purchContractBasicInfoId) {
        this.purchContractBasicInfoId = purchContractBasicInfoId;
    }
    public String getApprovalComment() {
        return approvalComment;
    }

    public void setApprovalComment(String approvalComment) {
        this.approvalComment = approvalComment;
    }
    public String getApprovalConclusion() {
        return approvalConclusion;
    }

    public void setApprovalConclusion(String approvalConclusion) {
        this.approvalConclusion = approvalConclusion;
    }
    public Long getAuditorId() {
        return auditorId;
    }

    public void setAuditorId(Long auditorId) {
        this.auditorId = auditorId;
    }

    public List<FileStorage> getFileStorageList() {
        return fileStorageList;
    }

    public void setFileStorageList(List<FileStorage> fileStorageList) {
        this.fileStorageList = fileStorageList;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public Long getBusinessKey() {
        return businessKey;
    }

    public void setBusinessKey(Long businessKey) {
        this.businessKey = businessKey;
    }

    @Override
    public String toString() {
        return "PurchContractSignApproval{" +
            "purchContractBasicInfoId=" + purchContractBasicInfoId +
            ", approvalComment=" + approvalComment +
            ", approvalConclusion=" + approvalConclusion +
            ", auditorId=" + auditorId +
        "}";
    }
}
